Bug 798279 - (CVE-2012-1257) CVE-2012-1257 pidgin: libpurple no way to restrict "private" messages from being sent over session dbus
CVE-2012-1257 pidgin: libpurple no way to restrict "private" messages from be...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111220,reported=2...
: Security
Depends On:
Blocks: 798311
  Show dependency treegraph
 
Reported: 2012-02-28 09:16 EST by Jan Lieskovsky
Modified: 2013-02-22 04:42 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-22 04:42:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-02-28 09:16:41 EST
It was discovered that libpurple, a library intended to be the core of an instant messaging program developed as part of the Pidgin project and used by IM clients as Pidgin and Finch, when built with DBus support sends notification for all received IM messages to a user's session dbus.  This can possibly be an issue in cases when Pidgin off-the-record (OTR) plugin is used and is configured to not log OTR conversation.  When received messages are sent over the session dbus, they may get logged by other applications receiving those messages.  Exposure is limited to other applications running with the same user privileges.

Upstream bug report:
[1] http://developer.pidgin.im/ticket/14830

References:
[2] http://census-labs.com/news/2012/02/25/libpurple-otr-info-leak/
    (Census laboratories advisory describing the deficiency)
[3] http://census-labs.com/media/pidgin-otr-snooping.py.txt
    (a Python language reproducer)
[4] https://bugs.gentoo.org/show_bug.cgi?id=406007
    (Gentoo BTS entry)
Comment 1 Tomas Hoger 2012-03-02 03:34:04 EST
full-disclosure discussion:
  http://seclists.org/fulldisclosure/2012/Feb/414
Comment 2 Stefan Cornelius 2013-02-22 04:42:27 EST
OTR is supposed to provide a secure method of IM communication over the network. The security of the network communication is not impacted by this flaw.

This flaw may lead to the leak of potentially private messages on the local side. However, a prerequisite for this to happen is that the user's account is already compromised; at this point an attacker can probably abuse other methods to achieve the same (and possibly worse) things. Thus, this is closer to a security enhancement than an actual security vulnerability.

Statement:

The Red Hat Security Response Team has rated this issue as having low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.